@use './variable' as *;

.customer {
  .boxed {
    margin-bottom: 60px;
  }

  .heading {
    max-width: 447px;
    margin-left: auto;
    margin-right: auto;
  }

  &__item {
    border: 2px solid $gray-dark-color;
    border-radius: 10px;
    padding: 30px;

    &.slick-current.slick-active {
      border: 1px solid $primary-color;
    }
  }

  &__top {
    margin-bottom: 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  &__info {
    display: flex;
    align-items: center;
    gap: 0 20px;
  }

  &__avatar {
    width: 50px;
    height: 50px;

    img {
      width: 100%;
      height: 100%;
      object-fit: cover;
      border-radius: 100rem;
    }
  }

  &__name,
  &__address {
    line-height: 1;
  }

  &__rating {
    display: flex;
    align-items: center;
    gap: 0 10px;
  }

  .slick-track {
    display: flex;
    gap: 0 50px;
    padding-bottom: 60px;
  }

  .slick-dots {
    list-style-type: none;
    display: flex;
    align-items: center;
    gap: 0 15px;
    transform: translateY(50%);

    button {
      font-size: 0;
      background-color: $gray-color;
      width: 15px;
      height: 15px;
      border-radius: 100rem;
      transition: all 0.2s linear;
    }

    .slick-active button {
      background-color: $primary-color;
      width: 45px;
    }
  }

  .slick-arrow {
    width: 60px;
    height: 60px;
    border-radius: 100rem;
    display: flex !important;
    justify-content: center;
    align-items: center;
    position: absolute;
    bottom: 0;
    transform: translateY(50%);
    z-index: 10;
  }

  .slick-prev {
    border: 1px solid $primary-color;
    background-color: transparent;
    right: 80px;
  }

  .slick-next {
    background-color: $primary-color;
    right: 0;
  }
}
